<!DOCTYPE html>
<html>
  <head>
  <title><%= content_for?(:title) ? yield(:title) : "Blog" %></title>
  <meta name="description" content="<%= content_for?(:description) ? yield(:description) : "Blog" %>">
    <meta name="viewport" content="width=device-width,initial-scale=1.0">
    <%= csrf_meta_tags %>
    <%= csp_meta_tag %>

    <%= stylesheet_link_tag 'application', media: 'all', 'data-turbolinks-track': 'reload' %>
    <%= javascript_pack_tag 'application', 'data-turbolinks-track': 'reload' %>
  </head>

  <body>

  <header>

  <nav class="navbar navbar-light bg-light justify-content-between">
  <a class="navbar-brand">Navbar</a>
  <form class="form-inline">
    <button class="btn btn-outline-success my-2 my-sm-0" type="submit">Search</button>
  </form>
  </nav>

    <%= render 'layouts/navigation' %>
  </header>

  <p class="notice"><%= notice %></p>
  <p class="alert"><%= alert %></p>

  <% flash.each do |key, value|%>
    <p><%= value %></p>
  <%end%>

  <main role="main">
  <%= content_for?(:content) ? yield(:content) : yield %>
  </main>
  </body>
</html>
